//
//  ViewController.swift
//  AmpYoSpaceSample
//
//  Created by Lopez Valenciano, Miguel on 5/10/17.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpYoSpace
import YOAdManagement

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer?
    var ampYoSpaceManager: AmpYoSpaceManager?
    
    let liveStreamUrl = "https://csm-e-sdk-validation.bln1.yospace.com/csm/extlive/yospace02,hlssample42.m3u8?yo.br=true&yo.av=3"
    let vodStreamUrl = "https://csm-e-sdk-validation.bln1.yospace.com/csm/access/207411697/c2FtcGxlL21hc3Rlci5tM3U4?yo.av=3"
    let NLSOStreamUrl = "https://csm-e-sdk-validation.bln1.yospace.com/access/event/latest/110611066?promo=130805986&yo.av=3"
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer?.autoplay = true
        self.ampPlayer?.setLicense("AwHwhbzuoU5RjjuhKQLdmKRQO0JeJOSk/U/7TR2FUpL9Smy8WwRslJZ2fTvvDSr3uPuoUoY7Q4KOb3XOyxai4WBvTSE0ea7gyPHiNT2usoA0+dZrMoJUfYXeMq/1dTefuAGcLuw38N8/BqlV0EGmUtSMmd9wuKE6eVBt56McP7czR+iC2+FSjgmA8bsZmJ/iRpU86QIJCRy8gpSQtitn1lwkrfdjGsF9JQ5p99S8b0R/PA==")
        
        let properties:YOSessionProperties = YOSessionProperties()
        properties.timeout = 2
        YOSessionProperties.setDebugFlags(.DEBUG_PARSING)
        
        //self.ampYoSpaceManager = AmpYoSpaceManager(url: vodStreamUrl, ampPlayer: ampPlayer!, yoSpaceProperties: properties, playbackMode: .YOVODMode, isLoggingEnabled: true)
        self.ampYoSpaceManager = AmpYoSpaceManager(url: liveStreamUrl, ampPlayer: ampPlayer!, yoSpaceProperties: properties, playbackMode: .YOLiveMode, isLoggingEnabled: true)
        
        
        // self.ampPlayer?.play(url: liveStreamUrl)
        
//       ampPlayer?.isAutoRecoveryEnabled = true
        
        ampPlayer?.setPoster("https://vignette.wikia.nocookie.net/five-nights-at-freddys-world-world/images/0/07/Offline.jpg/revision/latest?cb=20151209002129", type: .streamAutoRecovery)
        
        ampPlayer?.streamAutoRecoveryText = "Stream offline"
        
        ampPlayer?.registerObserver(self)
        
        }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

extension ViewController : PlayerEventObserver {
    
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError, code: Int, message: String) {
        print("An error has occurred \(message)")
    }
    
    
    func onYoSpaceError(_ error: Error) {
        print("An error has occurred with YoSpace \(error.localizedDescription)")
    }
    
    func contentDidStart(_ playheadPosition: TimeInterval) {
        print("Content started")
    }

    func contentDidPause(_ playheadPosition: TimeInterval) {
        print("Content paused")
    }

    func contentDidResume(_ playheadPosition: TimeInterval) {
        print("Content resumed")
    }

    func contentDidEnd(_playheadPosition: TimeInterval) {
        print("Content ended")
    }
    
    func onAdBreakStarted(break: AdBreakInfo?) {
        print("Ad break started")
    }
    
    func onAdBreakEnded(break: AdBreakInfo?) {
        print("Ad break ended")
    }

}

