/*
 * COPYRIGHT 2023 YOSPACE TECHNOLOGIES LTD. ALL RIGHTS RESERVED.
 * The contents of this file are proprietary and confidential.
 * Unauthorised copying of this file, via any medium is strictly prohibited.
 */

#import <Foundation/Foundation.h>
#import <YOAdManagement/YOSessionErrors.h>

/**
 * @brief Represents a parsing error.
 *
 * Encapsulates the data of a parsing error when XML parser fails.
 */
@interface YOParsingError : YOSessionErrors

/** Defines a descriptive message of the parsing error.
 */
@property (nullable) NSString* message;

/** Defines a detailed description of the error.
 */
@property (nullable) NSString* errorDetail;

/** Timestamp in UTC in the format "2023-01-29T18:46:193Z"
 */
@property (nullable) NSString* utcTimestamp;

/**
 * @return a JSON representation of this parsing error.
 */
- (nonnull NSString*) toJsonString;

@end
